﻿#language: ru

@IIoT

Функционал: 05_IIoT.02.004 Обработка данных регистра датчиков ОПС - выпуски и перемещения

Сценарий: 05_IIoT.02.004 Обработка выпусков
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Получение данных ОПС'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Датчик'                      | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Выпуск сливок без пересчета' | '250'      | 'Да'         | 'Переработка'           |
	И я нажимаю на кнопку открытия поля "Документ1"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "ПАЦ"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура' | 'Характеристика'    |
		| '1' | 'кг'       | '250,000'    | 'Сливки'       | '<не используются>' |
	И я закрываю окно 'Переработка *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Датчик'                              | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Выпуск сливок с пересчетом по норме' | '250'      | 'Да'         | 'Переработка'           |
	И я нажимаю на кнопку открытия поля "Документ1"
	Тогда открылось окно 'Переработка *'
	И элемент формы с именем "РабочийЦентр" стал равен "ПАЦ"
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура' | 'Характеристика'    |
		| '1' | 'кг'       | '300,000'    | 'Сливки'       | '<не используются>' |
	И я закрываю окно 'Переработка *'
	И в таблице "Список" я перехожу к строке:
		| 'Вариант распределения материалов' | 'Датчик'                              | 'Значение' | 'Обработано' | 'Создаваемые документы' |
		| 'Не распределять'                  | 'Выпуск сливок с пересчетом по факту' | '250'      | 'Нет'        | 'Переработка'           |
	И элемент формы "Документ1" стал равен ""
	И я нажимаю на кнопку открытия поля "Заявка на анализы номенклатуры"
	Тогда открылось окно 'Заявка на анализы номенклатуры *'
	И элемент формы "Вид анализа" стал равен "Плотность ОПС"
	И элемент формы с именем "Номенклатура" стал равен "Сливки"
	И я закрываю окно 'Заявка на анализы номенклатуры *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я закрываю окно 'Данные датчиков ОПС'

Сценарий: 05_IIoT.02.004 Обработка перемещений
	И В командном интерфейсе я выбираю 'Производство' 'Получение данных ОПС'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Датчик'                        | 'Значение' | 'Обработано' | 'Создаваемые документы'       |
		| 'Передача сливок без пересчета' | '50'       | 'Да'         | 'Распоряжение на перемещение' |
	И я нажимаю на кнопку открытия поля "Документ1"
	Тогда открылось окно 'Распоряжение на перемещение *'
	И элемент формы "Статус" стал равен "Выполнено"
	И элемент формы с именем "СкладОтправитель" стал равен "Маслоцех"
	И элемент формы с именем "СкладПолучатель" стал равен "Сырцех"
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я перехожу к строке:
		| 'Ед.' | 'Количество' | 'Номенклатура' |
		| 'кг'  | '22,727'     | 'Сливки'       |
	И в таблице "Товары" я перехожу к строке:
		| 'Ед.' | 'Количество' | 'Номенклатура' |
		| 'кг'  | '27,273'     | 'Сливки'       |
	И Я закрываю окно 'Распоряжение на перемещение *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Датчик'                       | 'Значение' | 'Обработано' | 'Создаваемые документы'       |
		| 'Передача сливок с пересчетом' | '50'       | 'Да'         | 'Распоряжение на перемещение' |
	И я нажимаю на кнопку открытия поля "Документ1"
	И элемент формы "Статус" стал равен "Выполнено"
	И элемент формы с именем "СкладОтправитель" стал равен "Маслоцех"
	И элемент формы с именем "СкладПолучатель" стал равен "Сырцех"
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я перехожу к строке:
		| 'Ед.' | 'Количество' | 'Номенклатура' |
		| 'кг'  | '27,272'     | 'Сливки'       |
	И в таблице "Товары" я перехожу к строке:
		| 'Ед.' | 'Количество' | 'Номенклатура' |
		| 'кг'  | '32,728'     | 'Сливки'       |
	И Я закрываю окно 'Распоряжение на перемещение *'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я закрываю окно 'Данные датчиков ОПС'